Bug 1383026 - PlayOnLinux is broken on Wayland
Summary: PlayOnLinux is broken on Wayland
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: playonlinux
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Konecny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-09 08:20 UTC by František Zatloukal
Modified: 2016-10-18 15:53 UTC (History)
1 user (show)

Fixed In Version: playonlinux-4.2.10-9.fc25 playonlinux-4.2.10-9.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-14 19:35:10 UTC
Type: Bug


Attachments (Terms of Use)

Description František Zatloukal 2016-10-09 08:20:07 UTC
Description of problem:
PlayOnLinux UI is broken (=not usable) on Wayland. Windows of the app are cropped incorrectly, so the buttons in installation wizards are not visible.

Version-Release number of selected component (if applicable):
4.2.10

How reproducible:
Always

Steps to Reproduce:
1. Run PlayOnLinux on GNOME Wayland
2. Try to install some app using PlayOnLinux's wizard

Actual results:
Window is cropped and buttons not visible

Expected results:
PlayOnLinux should look and work in same way on Wayland as on Xorg.

Additional info:
Running "GDK_BACKEND=x11 playonlinux" on Wayland fixes the issue.

Comment 1 Jiri Konecny 2016-10-10 11:12:35 UTC
Hello František,

I have used your proposed solution and a new version is now available in Bodhi. You can test it if you want.

I think there won't be proper solution in the source code anytime soon. PlayOnLinux developers are working on new version of PlayOnLinux in Java with new GUI, so they are not actively working on the old version now. They have bug in their bug tracker from me for some time on similar issue.  

Thank you for your report and for solution,
Jirka

Comment 2 František Zatloukal 2016-10-10 11:41:12 UTC
Hi,
I can confirm the new version 4.2.10-9 fixes the issue on Wayland/F25. Thanks!

Comment 3 Fedora Update System 2016-10-11 03:22:31 UTC
playonlinux-4.2.10-9.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9789f12ff8

Comment 4 Fedora Update System 2016-10-11 04:56:27 UTC
playonlinux-4.2.10-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0975ef8752

Comment 5 Fedora Update System 2016-10-14 19:35:10 UTC
playonlinux-4.2.10-9.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-10-18 15:53:51 UTC
playonlinux-4.2.10-9.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.